%global momorel 2

Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 3.11.3
Release: %{momorel}m%{?dist}
License: LGPLv2+
URL: http://sourceforge.net/projects/gwenhywfar/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gnutls-devel gettext libgcrypt-devel openssl-devel >= 1.0.0 pkgconfig

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and AqBanking/AqHBCI, the German online banking libraries.

%package devel
Summary: Header files and static libraries from gwenhywfar
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on gwenhywfar.

%prep
%setup -q

%build
%configure --disable-static --with-openssl-libs=%{_libdir}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
find %{buildroot} -name *.la -exec rm -f {} \;

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/typemaker2
%{_libdir}/libgwenhywfar.so.*
%{_libdir}/gwenhywfar
%{_datadir}/gwenhywfar
%{_datadir}/locale/*/LC_MESSAGES/gwenhywfar.mo

%files devel
%defattr(-,root,root)
%{_bindir}/gct-tool
%{_bindir}/gwenhywfar-config
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/xmlmerge
%{_includedir}/gwenhywfar3
%{_libdir}/libgwenhywfar.so
%{_libdir}/pkgconfig/gwenhywfar.pc
%{_datadir}/aclocal/gwenhywfar.m4

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.11.3-2m)
- full rebuild for mo7 release

* Thu Jul 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.11.3-1m)
- update to 3.11.3

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.8.2-4m)
- rebuild against openssl-1.0.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.8.2-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Jun  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.8.2-2m)
- own %%{_datadir}/gwenhywfar

* Sat Jun  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.8.2-1m)
- update to 3.8.2
-- build with --disable-static

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.2-5m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.2-4m)
- rebuild against rpm-4.6

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6.2-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.2-2m)
- rebuild against gcc43

* Mon Mar 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.2-1m)
- version 2.6.2

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.1-3m)
- %%NoSource -> NoSource

* Fri Jul 27 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1-2m)
- with --with-openssl-libs option for x86_64

* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.1-1m)
- initial package for aqbanking-2.3.2

